---


- name: stop_bluetooth
  ansible.builtin.systemd:
    name: bluetooth.service
    enabled: yes
    masked: no
    state: stopped


- name: find files in /var/lib/bluetooth
  ansible.builtin.find:
    paths: "/var/lib/bluetooth"
    file_type: any
  register: find_bluetooth


- name: delete file in /var/lib/bluetooth
  ansible.builtin.file:
    path:  "{{ item }}"
    state: absent
  with_items: "{{ find_bluetooth.files|json_query('[*].path') | default([]) }}"


- name: start_bluetooth
  ansible.builtin.systemd:
    name: bluetooth.service
    enabled: yes
    masked: no
    state: started


- name: package apt
  ansible.builtin.apt:
    name: "{{ pkglist_bluetooth }}"
    state: absent
